be.fgov.ehealth.rn.baselegaldata.v1

## Class ContactAddressDeclarationType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.ContactAddressDeclarationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:49:12+01:00",
                 comments="JAXB RI v2.3.7")
      public class ContactAddressDeclarationType
      extends Object
      implements Serializable

  Java class for ContactAddressDeclarationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ContactAddressDeclarationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <element name="CountryCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CountryCodeType" minOccurs="0"/>
                 <element name="CountryIsoCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CountryCodeISO3166Type" minOccurs="0"/>
               </choice>
               <element name="CountryName" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" minOccurs="0"/>
               <element name="CityCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CityCodeType" minOccurs="0"/>
               <element name="CityName" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" minOccurs="0"/>
               <element name="PostalCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}PostalCodeType" minOccurs="0"/>
               <element name="StreetCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}StreetCodeType" minOccurs="0"/>
               <element name="StreetName" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" minOccurs="0"/>
               <element name="HouseNumber" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}HouseNumberType" minOccurs="0"/>
               <element name="BoxNumber" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}BoxNumberType" minOccurs="0"/>
               <element name="TypeCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ContactAddressTypeType" minOccurs="0"/>
               <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="ExpiryDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContactAddressDeclarationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBoxNumber()` Gets the value of the boxNumber property.
    `String` | `getCityCode()` Gets the value of the cityCode property.
    `LocalizedDescriptionType` | `getCityName()` Gets the value of the cityName property.
    `Integer` | `getCountryCode()` Gets the value of the countryCode property.
    `String` | `getCountryIsoCode()` Gets the value of the countryIsoCode property.
    `LocalizedDescriptionType` | `getCountryName()` Gets the value of the countryName property.
    `org.joda.time.DateTime` | `getExpiryDate()` Gets the value of the expiryDate property.
    `String` | `getHouseNumber()` Gets the value of the houseNumber property.
    `org.joda.time.DateTime` | `getInceptionDate()` Gets the value of the inceptionDate property.
    `String` | `getPostalCode()` Gets the value of the postalCode property.
    `String` | `getStreetCode()` Gets the value of the streetCode property.
    `LocalizedDescriptionType` | `getStreetName()` Gets the value of the streetName property.
    `Integer` | `getTypeCode()` Gets the value of the typeCode property.
    `void` | `setBoxNumber(String value)` Sets the value of the boxNumber property.
    `void` | `setCityCode(String value)` Sets the value of the cityCode property.
    `void` | `setCityName(LocalizedDescriptionType value)` Sets the value of the cityName property.
    `void` | `setCountryCode(Integer value)` Sets the value of the countryCode property.
    `void` | `setCountryIsoCode(String value)` Sets the value of the countryIsoCode property.
    `void` | `setCountryName(LocalizedDescriptionType value)` Sets the value of the countryName property.
    `void` | `setExpiryDate(org.joda.time.DateTime value)` Sets the value of the expiryDate property.
    `void` | `setHouseNumber(String value)` Sets the value of the houseNumber property.
    `void` | `setInceptionDate(org.joda.time.DateTime value)` Sets the value of the inceptionDate property.
    `void` | `setPostalCode(String value)` Sets the value of the postalCode property.
    `void` | `setStreetCode(String value)` Sets the value of the streetCode property.
    `void` | `setStreetName(LocalizedDescriptionType value)` Sets the value of the streetName property.
    `void` | `setTypeCode(Integer value)` Sets the value of the typeCode property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContactAddressDeclarationType

          public ContactAddressDeclarationType()

  - ### Method Detail

    - #### getCountryIsoCode

          public String getCountryIsoCode()

      Gets the value of the countryIsoCode property.
      Returns:
        possible object is `String`

    - #### setCountryIsoCode

          public void setCountryIsoCode(String value)

      Sets the value of the countryIsoCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCountryCode

          public Integer getCountryCode()

      Gets the value of the countryCode property.
      Returns:
        possible object is `Integer`

    - #### setCountryCode

          public void setCountryCode(Integer value)

      Sets the value of the countryCode property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getCountryName

          public LocalizedDescriptionType getCountryName()

      Gets the value of the countryName property.
      Returns:
        possible object is `LocalizedDescriptionType`

    - #### setCountryName

          public void setCountryName(LocalizedDescriptionType value)

      Sets the value of the countryName property.
      Parameters:
        `value` - allowed object is `LocalizedDescriptionType`

    - #### getCityCode

          public String getCityCode()

      Gets the value of the cityCode property.
      Returns:
        possible object is `String`

    - #### setCityCode

          public void setCityCode(String value)

      Sets the value of the cityCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCityName

          public LocalizedDescriptionType getCityName()

      Gets the value of the cityName property.
      Returns:
        possible object is `LocalizedDescriptionType`

    - #### setCityName

          public void setCityName(LocalizedDescriptionType value)

      Sets the value of the cityName property.
      Parameters:
        `value` - allowed object is `LocalizedDescriptionType`

    - #### getPostalCode

          public String getPostalCode()

      Gets the value of the postalCode property.
      Returns:
        possible object is `String`

    - #### setPostalCode

          public void setPostalCode(String value)

      Sets the value of the postalCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStreetCode

          public String getStreetCode()

      Gets the value of the streetCode property.
      Returns:
        possible object is `String`

    - #### setStreetCode

          public void setStreetCode(String value)

      Sets the value of the streetCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStreetName

          public LocalizedDescriptionType getStreetName()

      Gets the value of the streetName property.
      Returns:
        possible object is `LocalizedDescriptionType`

    - #### setStreetName

          public void setStreetName(LocalizedDescriptionType value)

      Sets the value of the streetName property.
      Parameters:
        `value` - allowed object is `LocalizedDescriptionType`

    - #### getHouseNumber

          public String getHouseNumber()

      Gets the value of the houseNumber property.
      Returns:
        possible object is `String`

    - #### setHouseNumber

          public void setHouseNumber(String value)

      Sets the value of the houseNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBoxNumber

          public String getBoxNumber()

      Gets the value of the boxNumber property.
      Returns:
        possible object is `String`

    - #### setBoxNumber

          public void setBoxNumber(String value)

      Sets the value of the boxNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTypeCode

          public Integer getTypeCode()

      Gets the value of the typeCode property.
      Returns:
        possible object is `Integer`

    - #### setTypeCode

          public void setTypeCode(Integer value)

      Sets the value of the typeCode property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getInceptionDate

          public org.joda.time.DateTime getInceptionDate()

      Gets the value of the inceptionDate property.
      Returns:
        possible object is `String`

    - #### setInceptionDate

          public void setInceptionDate(org.joda.time.DateTime value)

      Sets the value of the inceptionDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getExpiryDate

          public org.joda.time.DateTime getExpiryDate()

      Gets the value of the expiryDate property.
      Returns:
        possible object is `String`

    - #### setExpiryDate

          public void setExpiryDate(org.joda.time.DateTime value)

      Sets the value of the expiryDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.